Unity Version Compatibility

This page details the versions of the Unity Editor that are supported and recommended for VR development.

We currently support Unity 5.6.x, 2017.1.x, 2017.2.x, 2017.3.x, 2017.4.x, 2018.1.x, and 2018.2.x. Our Release Notes describe known issues with any version.

We recommend using Unity version 2017.4.11f1.

If you use a different version, our tests show that the following builds have the best performance and least number of issues for that version.

  • 5.6.6f2* (Does not support Dash)
  • 2017.1.4f1*
  • 2017.2.3p4
  • 2017.4.11f1 (Recommended)
  • 2018.1.9f2*
  • 2018.2.7f1
  • *No longer supported by Unity.